# xarray.CFTimeIndex.copy

`CFTimeIndex.``copy`(name=None, deep=False, dtype=None, **kwargs)

  Make a copy of this object. Name and dtype sets those attributes on the new object.

  Parameters:

  - name (string, optional) –
  - deep (boolean, default False) –
  - dtype (numpy dtype or pandas type) –

  Returns: | copy
  Return type: | Index

  Notes

  In most cases, there should be no functional difference from using `deep`, but if `deep` is passed it will attempt to deepcopy.